#include "byte_code.h"

class loop3 {
public:
virtual void _init_() {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[1];
	var[0] = (void*)this;
	int temp1;
L0:
	ALOAD(0)
L1:
	INVOKESPECIAL(java::lang::Object,_init_,"()V")
L4:
	RETURN()
}

static void main(string_vector_type & args) {
	int arg1,arg2;
	const char * ptr;
	void * ptr1;
	void * var[2];
	int temp1;
	int temp2;
L0:
	IPUSH(0)
L1:
	ISTORE(1)
L2:
	ILOAD(1)
L3:
	IPUSH(10)
L5:
	IF_ICMPGE(L19)
L8:
	LDC("Hello, World!")
L10:
	INVOKESTATIC(IO::println,"(Ljava/lang/String;)V")
L13:
	IINC(1,1)
L16:
	GOTO(L2)
L19:
	RETURN()
}

};

int
main(int argc, char ** argv)
{
   try {
      string_vector_type args;
      stack_type rt_stack;
      the_stack = &rt_stack;
      for(int i = 1; i < argc; i++)
         args.push_back(argv[i]);
      loop3::main(args);
   }
   catch(...) {
      cerr << "exception..." << endl;
      exit(1);
   }
   return 0;
}
